<?php
require_once( LIB_DIR . 'Prototype' . DS . 'class.PTPlugin.php' );

class CustomizeDashboardByUser extends PTPlugin {

    function __construct () {
        parent::__construct();
    }

    function template_source_dashboard ( $cb, &$app, &$param, &$src ) {
        $dashboard_widgets = $app->ctx->vars['dashboard_widgets'];
        $disabled_widgets = $app->ctx->vars['disabled_widgets'];
        $user = $app->user();
        /*
        例 : 管理者以外は「アクティビティ」を消す
        if (! $user->is_superuser ) {
            $this->unset_widget( $dashboard_widgets, $disabled_widgets, 'activity' );
        }
        */
        $app->ctx->vars['dashboard_widgets'] = $dashboard_widgets;
        $app->ctx->vars['disabled_widgets'] = $disabled_widgets;
        return true;
    }

    function unset_widget ( &$dashboard_widgets, &$disabled_widgets, $value ) {
        $existing = array_search( $value, $dashboard_widgets );
        if ( $existing !== false ) {
            unset( $dashboard_widgets[ $existing ] );
        }
        $existing = array_search( $value, $disabled_widgets );
        if ( $existing !== false ) {
            unset( $disabled_widgets[ $existing ] );
        }
    }
}